/**
 * Définition des polices par défaut.
 *
 * @author Benjamin FONTAINE
 */
html {
	font-family: "Trebuchet MS", Arial, Verdana, sans-serif;
	font-style: normal;
	font-size : 11px ;
	
}

input, select, textarea{
	font-size: 	11px;
	font-family:  "Trebuchet MS", Arial, Verdana, sans-serif;
}

/**
 * Définition des polices présentes dans les champs d'erreurs.
 *
 * @author Benjamin FONTAINE
 */

/** conteneur d'un message */
div.errors div.content span, div.info div.content span{
	font-weight: bold;
	font-size: 13px;	
}

div.errors div.content span.esl, div.info div.content span.esl,
div.errors div.content ul li {
	font-weight: normal;
	font-size: 12px;	
}

/** légende du symbole de champ en erreur*/
div.errors span.esl {
	font-size: 11px;
	font-weight: normal !important;
}


/** conteneur des messages d'erreurs */
div#technicalError div {
	font-weight: bold;
}

/** Message ligne 1 */
div#technicalError span#L1{
	font-size: 1.5em;
	font-weight: bold;
}

/** Message ligne 2 et ligne 3 */
div#technicalError span#L2, div#technicalError span#L3{
	font-weight: bold;
}

div.info div.content p{
	font-weight: normal;
}

div.info div.content p, div.info div.content p em.color, 
div.info div.content p em.gras, div.info div.content p a.link,
div.info div.content ul li, div.info div.content ul li em {
	font-size:12px;
}

div.info div.content p#first, div.info div.content p#first em.color, 
div.info div.content p#first em.gras, div.info div.content p#first a.link {
	font-size:13px;
}

div.info div.content p#first{
	font-weight: bold !important;
}

/* Rendu de l'étiquette en erreur */
div.error label {
	font-weight: bold;
}

/**
 * Définition des polices présentes dans les pages applicatives.
 *
 * @author Benjamin FONTAINE
 */


/**************************************************************
***************************************************************
*******************        BANNER           *******************
***************************************************************
**************************************************************/

/* style du message de remplacement de l'animation flash */
div.banner p {
	
}

/**************************************************************
***************************************************************
*******************        BLOCS           ********************
***************************************************************
**************************************************************/
div.b0 div.btit {
	font-size: 20px;
}

span.msl {
	font-weight:bold;
}

/* sytle des légendes */
div.b0 p.cpt{
	font-weight: normal;
	
}

div.b0{
	
}

div.b0 div.b1 div.btit, body div.b1 div.btit{
	font-size: 11px; 
	font-weight : bold;
	line-height: 13px;
}

div.b0 div.b1 div.bfil {
	font-weight : normal;
}

div.b1 div.bfil label.rdo{
}

ol.nav li.pnb{
	font-weight: bold;
	font-size: 12px;
	width: 4.6em;
	height: 15px;
	padding-top: 0px;
	margin-top: 0px;
	position: relative;
	top: 1px;
}

ol.rdo li{
	display: table;
}	

div.b2 div.btit {
	font-weight : bold;
}

div.b2 div.bfil {
	font-weight : normal;
}

div.bi div.btit {
	font-size: 11px; 
}

div.bb div.btit{
    font-weight: bold;
}

/**************************************************************
***************************************************************
******************        FIELDS           ********************
***************************************************************
**************************************************************/

/* Mise en évidence (rouge et en gras) du symbol de champ obligatoire/en erreur dans l'étiquette des champs ou dans les légendes correspondantes*/
div.required em, div label.required em, div.error  em, .msl em, .esl em, .tbl th em, .tbl td.error em{
	font-weight:bold;
}

/** Mode Inspect : textarea, inputtext, radio dans un Tag Layout et dans un tableau **/
div.default span.itemFormReadOnly, div.error span.itemFormReadOnly, div.required span.itemFormReadOnly, div.default p.itemFormReadOnly, div.error p.itemFormReadOnly, div.required p.itemFormReadOnly {
	font-weight: bold ; 
}

div.default p, div.error p, div.required p,table.tbl tr td.default span.normal{
	line-height: 1.15em;
}
/* div.default span.iunit = L'unité d'un nombre en INSPECT (label à droite d'un label de type nombre)*/
/* L'unité d'un nombre en EDIT (label à droite d'un field de type nombre)*/
div.default span.iunit, div.default span.unit, div.error span.unit, div.required span.unit {
	font-weight: bold;
}

/* Champs en mode INSPECT dans une cellule de tableau (état cellule normale et en erreur).
	Les marges sont gérées dans les cellules*/
td.default span, td.error span, td.error p, td.default p  {
	font-weight: normal !important;
}

/* Unité d'un nombre en mode INSPECT dans une cellule de tableau*/
td.default span.iunit{
	font-weight: normal;
	margin: 0px 2px;
}

/* Unité d'un nombre en mode EDIT dans une cellule de tableau*/
td.default span.unit, td.error span.unit, td.required span.unit  {
	font-weight: normal;
}

/* Rendu de l'étiquette d'un radio en particulier en erreur en un tag layout 
   il n'est pas en rouge, c'est l'etiquette globale
*/
div.error label.rdo, td.error label.rdo {
	font-weight: normal;
}

/* Message explicitement demandé en gras*/
div.default span.bmsg, div.default span.pmsg, td.default span.bmsg, td.default span.pmsg {
	font-weight: bold;
}

/* Message explicitement demandé en maigre*/
div.default span.pmsg{
	font-weight: normal;
}

div.default select,
div.default label,
div div.default label.select, 
div div.default label.rdo, 
div div.default label.insp, 
div div.required label, 
div.default span, 
div.fwhelp{
	padding-top: 1px;	
}

div.default label.rdo, div.error label.rdo, td.default label.rdo, td.error label.rdo {
    display: inline;
    float: left;
    margin: 3px 1.2em 3px 1px;
}


td.default input.rdo, td.error input.rdo, td.default label.rdo, td.error label.rdo, td.default input.rdoTab, td.error input.rdoTab {
    margin: -3px 0px -1px 3px;
    padding: 0px;
    float: none;
    display: inline;
}


.cal {

}

div#calHeader select#calmois, div#calHeader select#calyear{
	font-size:10px;
}


/* les entêtes des colonnes affichant les jours de la semaine*/
div#calDays span{
	
	font-weight: bold;
}

div#calBody table td {
	font-weight: bold;
}

div#calBody table tbody td.calday {
	font-weight: bold;
}

div#calBody  tbody td.caldaywe{
	font-weight: normal;
}

div#calBody tbody td.calday_high, div#calBody tbody td.caldaywe_high{
	font-weight: bold;
}

em{
	font-style:normal;
}

.em1 {
	font-weight: bold ; 
}

.em2 {
	font-weight: bold ; 
}

.em3 {
	font-weight: bold ; 
}

/* Décorateur de mise en gras*/
em.gras{
	font-weight:bold;	
}

/* Liste d'actions */
.aslb {
	font-family: "Trebuchet MS", Arial, Verdana, sans-serif;
	font-style: normal;
	font-size: 11px;
}

/**************************************************************
***************************************************************
******************         LINKS           ********************
***************************************************************
**************************************************************/
 /* Spécification de la visualisation du text d'un bouton d'action.  
	Héritage de propriété communes pour ses différents état : survolé(.high), sélectionné(.sel), désactivé (-dis), avec image (img, imgva)
*/
.btn .btntxt {
	font-weight: bold;
	
}

/**************************************************************
***************************************************************
******************          PAGE           ********************
***************************************************************
**************************************************************/
div#loadingApplet {
	font-weight : bold;
}


/**************************************************************
***************************************************************
******************         TABLE           ********************
***************************************************************
**************************************************************/
/*Classe d'une entête de colonne de tableau*/
.tbl th{
	font-weight: bold;
	line-height: 105%;
	font-size:12px;
}

/* Classe d'une entête de colonne de tableau en remplacement du lien de tri*/
.tbl th span {
	font-weight: bold;
}

/* Classe d'un champ d'une cellule de tableau en mode INSPECT */
.tbl tbody td span {
	font-weight: normal;
}

/*Classe d'une cellule de pied de tableau "tft" */
/* Style particulier "tftt" pour les cellules de pied de colonne typé "titre". Identique dans cette CG à une cellule de pied de tableau
	typé "standard" */
.tft, .tftt { 
	font-weight: bold;
}

/* Style communs des entetes de tableaux triées */
.tbl th a {
	font-weight: bold;
}

